Bug 18179 - kickstart not seeing next server (again) - using different DHCPD
Summary: kickstart not seeing next server (again) - using different DHCPD
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 05:02 UTC by tek
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 19:41:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tek 2000-10-03 05:02:33 UTC
Basically same problem as I saw in Red Hat 6.1.  I set my 'next server' to 
be a certain IP address, the DHCP server tells the client to use that 
address, but kickstart will still just see 0.0.0.0 as the next server.  
This is with 7.0.

-Thom

Comment 1 tek 2000-10-03 15:34:11 UTC
Well, I was able to get around this.  We are currently using the CMU DHCP/BOOTP 
server with Princeton patches (http://wwwnet.princeton.edu/software/dhcpd/).

We had to specify the 'nr' option to the server which basically says "give the 
client all the info I have whether or not it asked for it specifically".  So 
I'm guessing the install is assuming that the server will just give out all its 
information without even asking for it.

-Thom

Comment 2 Erik Troan 2000-11-21 15:28:35 UTC
I just tested this w/ Red Hat 7.0, and it works fine here. If you're using the
ISC dhcpd server use the next-server directive.


Note You need to log in before you can comment on or make changes to this bug.